function [var_kost, netto_energi, driftstid, sum_start] = aarssimulering(antall_enheter, ident, lastkurve, ...
    energipris, tappevannskjel, tappevann)
clc

%%%% Valg av simuleringmodell etter antall kjeler %%%%
if antall_enheter == 1
    [var_kost, netto_energi, driftstid, sum_start] = var_kost_1kjel(ident, lastkurve, energipris); %Velg rssimulering for VS med 1 kjel
elseif antall_enheter == 2
    [var_kost, netto_energi, driftstid, sum_start] = var_kost_2kjeler(ident, lastkurve,...
        energipris, tappevannskjel, tappevann); %Velg rssimulering for VS med 2 kjeler
elseif antall_enheter == 3
    [var_kost, netto_energi, driftstid, sum_start] = var_kost_3kjeler(ident, lastkurve ...
       , energipris, tappevannskjel, tappevann);%Velg rssimulering for VS med 3 kjeler
end
