function [ident, energipris, tappevannskjel] = kjeler(antall_kjeler, tappevann)
clc
i = 1;
j = 0;


disp('----  Varmeproduserende enheter  ----')
fprintf(1, '\n')
disp('1) Elektrisk elementkjele')
disp('2) Oljekjele')
disp('3) Biokjele')
disp('4) Varmepumpe')
fprintf(1, '\n')

%%%% Identifiseringsmatrise %%%%
ident = zeros(antall_kjeler,11);

while i <= antall_kjeler
    disp(['Velg type varmeproduserende enhet for enhet nr.' num2str(i) ':'])
    kjeltype(i) = input('');
    if kjeltype(i) ~= 1 & kjeltype(i) ~= 2 & kjeltype(i) ~= 3 & kjeltype(i) ~= 4
        disp('Feil input. Prv p nytt.')
        i = i - 1;
    elseif kjeltype(i) == 4;
        j = j + 1;
        if j == 2;
            fprintf(1, '\n')
            disp('Kun en varmepumpe tillates. Prv p nytt.')
            fprintf(1, '\n')
            i = i - 1;
        end
    end
    i = i + 1;
end

if tappevann == 1 & antall_kjeler ~= 1;
    fprintf(1, '\n')
    disp('Velg hvilken av enhetene som brukes til tappvannsprosuksjon i sommersesongen:')
    fprintf(1, '\n')
    for i = 1:antall_kjeler
        if kjeltype(i) == 1 
            disp([num2str(i) ') Enhet nr.' num2str(i) ': Elektrisk elementkjele'])
        elseif kjeltype(i) == 2
            disp([num2str(i) ') Enhet nr.' num2str(i) ': Oljekjele'])
        elseif kjeltype(i) == 3
            disp([num2str(i) ') Enhet nr.' num2str(i) ': Biokjele'])
        elseif kjeltype(i) == 4
            disp([num2str(i) ') Enhet nr.' num2str(i) ': Varmepumpe'])
        end
    end
 tappevannskjel = input('');
else
 tappevannskjel = 0;
end
    
%%%% Inlegging av energipriser %%%%
energipris = energikost(kjeltype);

for i = 1:antall_kjeler
    kjelnr = i; %i svarer til nummer p kjel
    if kjeltype(i) == 1 %Dette er en elektrisk elementkjele
        ident(i,1) = kjeltype(i); %Setter identifikator for kjeltype
        ident = elkjele(ident,kjelnr); %Kall funksjon for el-kjeler
    elseif kjeltype(i) == 2 %Dette er en oljekjel
        ident(i,1) = kjeltype(i); %Setter identifikator for kjeltype
        ident = olje_velg_reguleringsstrategi(ident,kjelnr,energipris); %Kall funksjon for oljekjeler
    elseif kjeltype(i) == 3 %Dette er en biokjele
        ident(i,1) = kjeltype(i); %Setter identifikator for kjeltype
        ident = bio_velg_reguleringsstrategi(ident,kjelnr,energipris); %Kall funksjon for biokjeler
    elseif kjeltype(i) == 4 %Dette er en VP
        ident(i,1) = kjeltype(i); %Setter identifikator for kjeltype
        ident = varmepumpe(ident, kjelnr);
    end
end




        