function [var_kost] = kostnad_3kjeler(ident, last, i, energipris)

if ident(i,2) == 0 | ident(i,2) == 1 %Intermittent regulering for kjel
   var_kost = (ident(i,5) + ident(i,6) * last) * energipris(ident(i,1));
elseif ident(i,2) == 2   %Trinn
   p = ident(i,7:10);
   var_kost = polyval(p,last);
elseif ident(i,2) == 3 | ident(i,2) == 4 %Modulerende 
    Pmin = ident(i,11);
    if last >= Pmin %I modulerende drift
        p = ident(i,7:10);
        var_kost = polyval(p,last);
    else %I intermittent drift
        var_kost = (ident(i,5) + ident(i,6) * last) * energipris(ident(i,1));
    end
elseif ident(i,2) == 5
   SPF = ident(i,4);
   var_kost = (last/SPF) * energipris(ident(i,1)); 
end
