function [ident] = olje_velg_reguleringsstrategi(ident, kjelnr, energipris)
clc

disp(['----  Data for varmeproduserende enhet nr: ' num2str(kjelnr) '  ----'])
fprintf(1, '\n')

disp('----  Reguleringsstrategier oljekjel  ----')
fprintf(1, '\n')
disp('1) P/AV (Intermittent)')
disp('2) Trinnregulert (Hy/Lav)')
disp('3) Modulerende')
fprintf(1, '\n')

valg = input('Velg reguleringsstrategi for oljekjel:');

if valg == 1 %Dette er en intermittent regulert kjel
        ident(kjelnr,2) = valg; %Setter identifikator for reguleringsstrategi
        ident = intermittent(ident, kjelnr);%Kall funksjon for intermittent
elseif valg == 2 %Dette er en trinnregulert kjel
        ident(kjelnr,2) = valg; %Setter identifikator for reguleringsstrategi
        ident = trinn(ident, kjelnr, energipris);
elseif valg == 3 %Dette er en modulerende kjel
        ident(kjelnr,2) = valg; %Setter identifikator for reguleringsstrategi
        ident = modulerende_olje(ident, kjelnr, energipris); %Kall funksjon for modulerende
end

