function [kostnad] = tomgangstap(ident, last, i, energipris)

if ident(i,2) == 0 | ident(i,2) == 1 %Intermittent regulering for kjel
   kostnad = (ident(i,5) + ident(i,6) * last) * energipris(ident(i,1));
elseif ident(i,2) == 2   %Trinn
   a = ident(i,5);
   kostnad = a * energipris(ident(i,1));
elseif ident(i,2) == 3 | ident(i,2) == 4 %Modulerende 
    Pmin = ident(i,11);
    if last >= Pmin %I modulerende drift
        p = ident(i,7:10);
        kostnad = polyval(p,last);
    else %I intermittent drift
        kostnad = (ident(i,5) + ident(i,6) * last) * energipris(ident(i,1));
    end
elseif ident(i,2) == 5
   kostnad = 0; 
end
