function [var_kost, netto_energi, driftstid, sum_start] = var_kost_2kjeler(ident, lastkurve, energipris, tappevannskjel, tappevann)

global netto_energi_sommer kostnad_sommer

for i = 1:2;
    if ident(i,2) == 0 | ident(i,2) == 1 %Intermittent regulering for kjel i
        Pinst(i) = ident(i,3);
        nmax(i) = ident(i,4);
        Pmax(i) = Pinst(i);
    elseif ident(i,2) == 2 | ident(i,2) == 3 | ident(i,2) == 4 %Trinn eller modulerende
        Pinst(i) = ident(i,3);
        nmax(i) = ident(i,4);
        Pmax(i) = Pinst(i);
    elseif ident(i,2) == 5 %VP
        effektdekning = ident(i,3);
        Pmax(i) = max(lastkurve)* (effektdekning/100);
    end
end

netto_energi = zeros(2,8760);
driftstid = zeros(1,2);
kostnad = zeros(2,8760);
start = zeros(2,8760);
kostnad_sommer = zeros(1,8760);
netto_energi_sommer = zeros(1,8760);

%%%% rssimulering %%%%
for i = 1:8760
    if lastkurve(i) == 0;
            continue
    elseif i > 3072 & i <= 6240 & tappevann == 1;
        kjelnr = tappevannskjel;
        energipris2 = energipris;
        energipris2(1) = energipris(5);
        kostnad(kjelnr,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris2);
        netto_energi(kjelnr,i) = lastkurve(i);
        driftstid(kjelnr) = driftstid(kjelnr) + 1;
        netto_energi_sommer(i) = lastkurve(i); 
         kostnad_sommer(i) = kostnad(kjelnr,i);
        continue
    else
        antall_kjeler = 2;
        marg_kost = marginalkostnad(ident, lastkurve(i), energipris, antall_kjeler);
        if marg_kost(1) < marg_kost(2)  %Hvis kjel 1 har lavest marginalkostnad og kjel 2 nest laveste marinalkostnad 
            if lastkurve(i) <= Pmax(1) %Kjelen kan dekke hele effektbehovet
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i);
                driftstid(1) = driftstid(1) + 1;
                kjelnr = 2;
            else %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
                netto_energi(1,i) = Pmax(1);
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(1)), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i) - Pmax(1);
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                if i ~= 1 & lastkurve(i-1) < Pmax(1) & lastkurve(i) > Pmax(1)
                    start(2,i) = 1; %Spisslastkjel m startes
                end 
            end
        elseif marg_kost(2) < marg_kost(1)
            if lastkurve(i) <= Pmax(2) %Kjelen kan dekke hele effektbehovet
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i);
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 1;
            else  %Effektbehovet kan dekkes av kjel 2 og kjel 1.   
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
                netto_energi(2,i) = Pmax(2);
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(2)), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i) - Pmax(2);
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                if i ~= 1 & lastkurve(i-1) < Pmax(2) & lastkurve(i) > Pmax(2)
                    start(1,i) = 1; %Spisslastkjel m startes
                end 
            end
        else %Kjel 1 og 2 har lik margianlkostnad
             if lastkurve(i) <= Pmax(1) %Kjelen kan dekke hele effektbehovet
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i);
                driftstid(1) = driftstid(1) + 1;
                kjelnr = 2;
            else %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
                netto_energi(1,i) = Pmax(1);
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(1)), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i) - Pmax(1);
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                if i ~= 1 & lastkurve(i-1) < Pmax(1) & lastkurve(i) > Pmax(1)
                    start(2,i) = 1; %Spisslastkjel m startes
                end 
            end
        end
    end
end

var_kost = sum(kostnad,2); %Summerer kostnaden for alle timene i ret spesifikt for de tre kjelene.
netto_energi = sum(netto_energi,2);    
sum_start = sum(start,2);