function [var_kost, netto_energi, driftstid, sum_start] = var_kost_3kjeler(ident, ... 
    lastkurve, energipris, tappevannskjel, tappevann)

global netto_energi_sommer kostnad_sommer

for i = 1:3;
    if ident(i,2) == 0 | ident(i,2) == 1 %Intermittent regulering for kjel i
        Pinst(i) = ident(i,3);
        nmax(i) = ident(i,4);
        Pmax(i) = Pinst(i);
    elseif ident(i,2) == 2 | ident(i,2) == 3 | ident(i,2) == 4 %Trinn eller modulerende
        p(i,:) = ident(i,7:10);
        Pinst(i) = ident(i,3);
        nmax(i) = ident(i,4);
        Pmax(i) = Pinst(i);
    elseif ident(i,2) == 5 %VP
        effektdekning = ident(i,3);
        Pmax(i) = max(lastkurve)* effektdekning/100;
    end
end

netto_energi = zeros(3,8760);
driftstid = zeros(1,3);
kostnad = zeros(3,8760);
tomgangskost = zeros(3,8760);
start = zeros(3,8760);
kostnad_sommer = zeros(1,8760);
netto_energi_sommer = zeros(1,8760);

%%%% rssimulering %%%%
for i = 1:8760
    if lastkurve(i) == 0;
            continue
    elseif i > 3072 & i <= 6240 & tappevann == 1;
        kjelnr = tappevannskjel;
        energipris2 = energipris;
        energipris2(1) = energipris(5);
        kostnad(kjelnr,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris2);
        kostnad_sommer(i) = kostnad(kjelnr,i);
        netto_energi_sommer(i) = lastkurve(i); 
        netto_energi(kjelnr,i) = lastkurve(i);
        driftstid(kjelnr) = driftstid(kjelnr) + 1;
        continue
    else
        antall_kjeler = 3;
        marg_kost = marginalkostnad(ident, lastkurve(i), energipris, antall_kjeler);
        if marg_kost(1) < marg_kost(2) & marg_kost(1) < marg_kost(3) & marg_kost(2) < marg_kost(3) %Hvis kjel 1 har lavest marginalkostnad og kjel 2 nest laveste marinalkostnad 
            if lastkurve(i) <= Pmax(1) %Kjelen kan dekke hele effektbehovet
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i);
                driftstid(1) = driftstid(1) + 1;
                kjelnr = 2;
                kjelnr = 3;
            elseif lastkurve(i) > Pmax(1) & lastkurve(i) < (Pmax(1) + Pmax(2)) %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
                netto_energi(1,i) = Pmax(1);
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(1)), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i) - Pmax(1);
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 3;
                if i ~= 1 & lastkurve(i-1) < Pmax(1)  %Dvs spisslastkjel ikke varm
                    start(2,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
               netto_energi(1,i) = Pmax(1);
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
               netto_energi(2,i) = Pmax(2);
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(1) + Pmax(2))), kjelnr, energipris);
               netto_energi(3,i) = (lastkurve(i) - (Pmax(1) + Pmax(2)));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(1)  %Dvs spisslastkjel ikke varm
                   start(2,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(1) + Pmax(2)) 
                   start(3,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end   
        elseif marg_kost(1) < marg_kost(2) & marg_kost(1) < marg_kost(3) & marg_kost(3) < marg_kost(2) %Hvis kjel 1 har lavest marginalkostnad og kjel 3 har nest lavest marginalkostnad
            if lastkurve(i) <= Pmax(1) %Kjelen kan dekke hele effektbehovet
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i);
                driftstid(1) = driftstid(1) + 1;
                kjelnr = 2;
                kjelnr = 3;
            elseif lastkurve(i) > Pmax(1) & lastkurve(i) < (Pmax(1) + Pmax(3)) %Effektbehovet kan dekkes av kjel 1 og kjel 3.   
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
                netto_energi(1,i) = Pmax(1);
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(1)), kjelnr, energipris);
                netto_energi(3,i) = lastkurve(i) - Pmax(1);
                driftstid(1) = driftstid(1) + 1;
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 2;
                if i ~= 1 & lastkurve(i-1) < Pmax(1)  %Dvs spisslastkjel ikke varm
                    start(3,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
               netto_energi(1,i) = Pmax(1);
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
               netto_energi(3,i) = Pmax(3);
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(1) + Pmax(3))), kjelnr, energipris);
               netto_energi(2,i) = lastkurve(i) - (Pmax(1) + Pmax(3));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(1)  %Dvs spisslastkjel ikke varm
                   start(3,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(1) + Pmax(3))
                   start(2,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end   
        elseif marg_kost(2) < marg_kost(1) & marg_kost(2) < marg_kost(3) & marg_kost(1) < marg_kost(3) %Kjel 2 lavest marginalkost, kjel 1 nest lavest
            if lastkurve(i) <= Pmax(2) %Kjelen kan dekke hele effektbehovet
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i);
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 1;
                kjelnr = 3;
            elseif lastkurve(i) > Pmax(2) & lastkurve(i) < (Pmax(1) + Pmax(2)) %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
                netto_energi(2,i) = Pmax(2);
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(2)), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i) - Pmax(2);
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 3;
                if i ~= 1 & lastkurve(i-1) < Pmax(2) %Dvs spisslastkjel ikke varm
                    start(1,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
               netto_energi(2,i) = Pmax(2);
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
               netto_energi(1,i) = Pmax(1);
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(1) + Pmax(2))), kjelnr, energipris);
               netto_energi(3,i) = lastkurve(i) - (Pmax(1) + Pmax(2));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(2)  %Dvs spisslastkjel ikke varm
                   start(1,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(2) + Pmax(1))
                   start(3,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end    
        elseif marg_kost(2) < marg_kost(1) & marg_kost(2) < marg_kost(3) & marg_kost(3) < marg_kost(1) %Kjel 2 lavest marginalkost, kjel 3 nest lavest
            if lastkurve(i) <= Pmax(2) %Kjelen kan dekke hele effektbehovet
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i);
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 1;
                kjelnr = 3;
            elseif lastkurve(i) > Pmax(2) & lastkurve(i) < (Pmax(2) + Pmax(3)) %Effektbehovet kan dekkes av kjel 1 og kjel 3.   
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
                netto_energi(2,i) = Pmax(2);
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(2)), kjelnr, energipris);
                netto_energi(3,i) = lastkurve(i) - Pmax(2);
                driftstid(2) = driftstid(2) + 1;
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 1;
                if i ~= 1 & lastkurve(i-1) < Pmax(2)  %Dvs spisslastkjel ikke varm
                    start(3,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
               netto_energi(2,i) = Pmax(2);
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
               netto_energi(3,i) = Pmax(3);
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(2) + Pmax(3))), kjelnr, energipris);
               netto_energi(1,i) = lastkurve(i) - (Pmax(2) + Pmax(3));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(2) %Dvs spisslastkjel ikke varm
                   start(3,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(2) + Pmax(3)) 
                   start(1,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end    
        elseif marg_kost(3) < marg_kost(1) & marg_kost(3) < marg_kost(2) & marg_kost(1) < marg_kost(2) %Kjel 3 lavest marginalkost, kjel 1 nest lavest
            if lastkurve(i) <= Pmax(3) %Kjelen kan dekke hele effektbehovet
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(3,i) = lastkurve(i);
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 1;
                kjelnr = 2;
            elseif lastkurve(i) > Pmax(3) & lastkurve(i) < (Pmax(3) + Pmax(1)) %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
                netto_energi(3,i) = Pmax(3);
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(3)), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i) - Pmax(3);
                driftstid(1) = driftstid(1) + 1;
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 2;
                if i ~= 1 & lastkurve(i-1) < Pmax(3)  %Dvs spisslastkjel ikke varm
                    start(1,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
               netto_energi(3,i) = Pmax(3);
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
               netto_energi(1,i) = Pmax(1);
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(1) + Pmax(3))), kjelnr, energipris);
               netto_energi(2,i) = lastkurve(i) - (Pmax(1) + Pmax(3));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(3) %Dvs spisslastkjel ikke varm
                   start(1,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(1) + Pmax(3)) 
                   start(2,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end 
        elseif marg_kost(3) < marg_kost(1) & marg_kost(3) < marg_kost(2) & marg_kost(2) < marg_kost(1)%Kjel 3 lavest og kjel 2 nest lavest
            if lastkurve(i) <= Pmax(3) %Kjelen kan dekke hele effektbehovet
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(3,i) = lastkurve(i);
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 1;
                kjelnr = 2;
            elseif lastkurve(i) > Pmax(3) & lastkurve(i) < (Pmax(3) + Pmax(2)) %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 3;
                kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
                netto_energi(3,i) = Pmax(3);
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(3)), kjelnr, energipris);
                netto_energi(2,i) = lastkurve(i) - Pmax(3);
                driftstid(2) = driftstid(2) + 1;
                driftstid(3) = driftstid(3) + 1;
                kjelnr = 1;
                if i ~= 1 & lastkurve(i-1) < Pmax(3) %Dvs spisslastkjel ikke varm
                    start(2,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, Pmax(3), kjelnr, energipris);
               netto_energi(3,i) = Pmax(3);
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
               netto_energi(2,i) = Pmax(2);
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(2) + Pmax(3))), kjelnr, energipris);
               netto_energi(1,i) = (lastkurve(i) - (Pmax(2) + Pmax(3)));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if lastkurve(i-1) < Pmax(3) & i ~= 1 %Dvs spisslastkjel ikke varm
                   start(2,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(1) + Pmax(2))
                   start(1,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end
        else marg_kost(1) < marg_kost(2) & marg_kost(1) < marg_kost(3) & marg_kost(2) == marg_kost(3);
            if lastkurve(i) <= Pmax(1) %Kjelen kan dekke hele effektbehovet
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, lastkurve(i), kjelnr, energipris);
                netto_energi(1,i) = lastkurve(i);
                driftstid(1) = driftstid(1) + 1;
                kjelnr = 2;
                kjelnr = 3;
            elseif lastkurve(i) > Pmax(1) & lastkurve(i) < (Pmax(1) + Pmax(2)) %Effektbehovet kan dekkes av kjel 1 og kjel 2.   
                kjelnr = 1;
                kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
                netto_energi(1,i) = Pmax(1);
                kjelnr = 2;
                kostnad(2,i) = kostnad_3kjeler(ident, (lastkurve(i) - Pmax(1)), kjelnr, energipris);
                netto_energi(2,i) = (lastkurve(i) - Pmax(1));
                driftstid(1) = driftstid(1) + 1;
                driftstid(2) = driftstid(2) + 1;
                kjelnr = 3;
                if i ~= 1 & lastkurve(i-1) < Pmax(1) %Dvs spisslastkjel ikke varm
                    start(2,i) = 1; %Spisslastkjel m startes
                end
            else
               kjelnr = 1;
               kostnad(1,i) = kostnad_3kjeler(ident, Pmax(1), kjelnr, energipris);
               netto_energi(1,i) = Pmax(1);
               kjelnr = 2;
               kostnad(2,i) = kostnad_3kjeler(ident, Pmax(2), kjelnr, energipris);
               netto_energi(2,i) = Pmax(2);
               kjelnr = 3;
               kostnad(3,i) = kostnad_3kjeler(ident, (lastkurve(i) - (Pmax(2) + Pmax(1))), kjelnr, energipris);
               netto_energi(3,i) = lastkurve(i) - (Pmax(2) + Pmax(1));
               driftstid(1) = driftstid(1) + 1;
               driftstid(2) = driftstid(2) + 1;
               driftstid(3) = driftstid(3) + 1;
               if i ~= 1 & lastkurve(i-1) < Pmax(1) %Dvs spisslastkjel ikke varm
                   start(2,i) = 1; %Spisslastkjel 1 m startes
               elseif i ~= 1 & lastkurve(i-1) < (Pmax(1) + Pmax(2)) 
                   start(3,i) = 1; %Spisslastkjel 2 m ogs startes
               end
            end
        end
    end
end

var_kost = sum(kostnad,2); %Summerer kostnaden for alle timene i ret spesifikt for de tre kjelene.
netto_energi = sum(netto_energi,2);    
sum_start = sum(start,2);