function [CO2_utslipp] = beregn_CO2(levert_energi, antall_enheter, ident)

CO2faktor = zeros(1,3);

for i = 1:antall_enheter
    if (ident(i,1) == 1 | ident(i,1) == 4) & CO2faktor(1) == 0
        CO2faktor(1) = input('Skriv inn CO2 - faktor for elektrisitet [kg/MWh]\n');
    elseif ident(i,1) == 2 & CO2faktor(2) == 0
        CO2faktor(2) = input('Skriv inn CO2 - faktor for fyringsolje [kg/MWh]\n');
    elseif ident(i,1) == 3 & CO2faktor(3) == 0
        CO2faktor(3) = input('Skriv inn CO2 - faktor for aktuelt biobrensel [kg/MWh]\n');
    end
end


for i = 1:antall_enheter
    if ident(i,1) == 1 | ident(i,1) == 4
        CO2_utslipp(i) = CO2faktor(1)/1000 * levert_energi(i);
    elseif ident(i,1) == 2
        CO2_utslipp(i) = CO2faktor(2)/1000 * levert_energi(i);
    elseif ident(i,1) == 3 
        CO2_utslipp(i) = CO2faktor(3)/1000 * levert_energi(i);
    end
end