function [] = oppsummering(antall_enheter, varmekostnad, lastkurve,...
    aarsvirkningsgrad, primerenergibehov, CO2_utslipp,driftstid,...
    energidekning, levert_energi, ekv_driftstid, varmekostnad_fast...
    ,primerenergibehov_ikke_fornybar);

clc
disp('----  RESULTAT  ----')
fprintf(1, '\n\n')
disp('----  konomiske data  ----')
fprintf(1, '\n')
fprintf(1, 'Beregnet varmekostnad for varmesentralen: %6.4f [kr/kWh]', varmekostnad)
fprintf(1, '\n\n')
fprintf(1, 'Faste kostnader utgjr: %6.4f [kr/kWh]', varmekostnad_fast)
fprintf(1, '\n\n\n')
disp('----  Effekt og energibehov  ----')
fprintf(1, '\n')
fprintf(1, 'Beregnet maksimalt effektbehov for bygning: %6.0f [kW]', max(lastkurve))
fprintf(1, '\n\nBeregnet rlig varmebehov for bygning: %7.0f [kWh/r]', sum(lastkurve))
fprintf(1, '\n\nEkvivalent driftstid for maksimal effekt: %6.0f [h/r]', (sum(lastkurve)/max(lastkurve)))
fprintf(1, '\n\n\n')
disp('----  Varmeproduserende enheter  ----')
fprintf(1, '\n')
disp(['rsvirkningsgrader/rsvarmefaktor for varmeproduserende enheter: ' num2str(aarsvirkningsgrad) ' [-]'])
fprintf(1, '\n')
disp(['Varmeproduserende enhet(er) sin dekning av rlig energibehov: ' num2str(energidekning) ' [%]'])
fprintf(1, '\n')
disp(['Ekvivalent driftstid for varmeproduserende enhet(er): ' num2str(ekv_driftstid) ' [h/r]'])
fprintf(1, '\n\n')
disp('----  Indikatorer for energiytelse  ----')
fprintf(1, '\nBehov for levert energi for varmesentral: %7.0f [kWh/r]', sum(levert_energi))
fprintf(1, '\n\nPrimrenergibehov for varmesentral: %7.0f [kWh/r]', sum(primerenergibehov))
fprintf(1, '\n\nrlig CO2 utslipp for varmesentral: %7.0f [kg/r]', sum(CO2_utslipp))
fprintf(1, '\n\n')
disp(['Levert energi pr. enhet: ' num2str(levert_energi) ' [kWh/r]'])
fprintf(1, '\n')
disp(['Primrenergibehov pr. enhet: ' num2str(primerenergibehov) ' [kWh/r]'])
fprintf(1, '\n')
disp(['CO2 utslipp pr. enhet: ' num2str(CO2_utslipp) ' [kg/r]'])
fprintf(1, '\n')
fprintf(1, 'Ikke fornybar primrenergi for varmesentral: %7.0f [kWh/r]', sum(primerenergibehov_ikke_fornybar))
fprintf(1, '\n\n')
disp(['Ikke fornybar primrenergi pr. enhet: ' num2str(primerenergibehov_ikke_fornybar) ' [kWh/r]'])